<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Clientes_model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		$this->load->database();
		$this->load->library('session');
		$this->load->driver('cache', array('adapter' => 'file', 'key_prefix' => 'ata_'));
		$this->idabogado = $this->session->userdata('consultor_idabogado');
	}

	public function get_cliente(){
		$idpersona = $this->input->post('idpersona');

		$this->db->from('lista_clientes');
		$this->db->where('idpersona', $idpersona);

		$query = $this->db->get();

		return $query->result();
	}

	public function buscar_cliente($hint='')
	{
		$this->db->select("idcliente,persona, apellidop, apellidom, nombres");
		$this->db->from('lista_clientes');

		$wildcarded_hint = '%'.$hint.'%';

		$this->db->where('nombres LIKE', $wildcarded_hint);
		$this->db->or_where('apellidop LIKE', $wildcarded_hint);
		$this->db->or_where('apellidom LIKE', $wildcarded_hint);
		
		$query = $this->db->get();

		return $query->result();
	}

	public function save_date($date,$persona){
		$persona=array('persona' => $persona,
			'fecha' => $date);
		return $this->db->insert('acceso_historial',$persona);
	}
	// public function consulta_pago($idpersona){
	// 	$query=$this->db->from('lista_clientes')->join('personas','lista_clientes.persona=personas.idpersona','left')->where('idpersona',$idpersona)->get();
	// 	return $query->result();
	// }

	public function nuevo_cliente(&$idpersona, &$idcliente, &$nombre_completo)
	{
		$nombres = $this->input->post('nombres');
		$appaterno = $this->input->post('appaterno');
		$apmaterno = $this->input->post('apmaterno');
		$email = $this->input->post('email');
		$telfijo = $this->input->post('telfijo');
		$telcel = $this->input->post('telcel');
		$rfc = $this->input->post('rfc');
		$razonsocial = $this->input->post('razonsocial');
		$calle = $this->input->post('calle');
		$nint = $this->input->post('nint');
		$next = $this->input->post('next');
		$estado = $this->input->post('estado');
		$municipio = $this->input->post('municipio');
		$localidad = $this->input->post('localidad');

		$nombre_completo = $appaterno.' '.$apmaterno.', '.$nombres;
		
		$curp = $this->input->post('curp');
		//$claveife = $this->input->post('claveife');
		$confirmacion_pago=$this->input->post('confirmacion_pago');

		$persona = array(
			'nombres' => $nombres,
			'apellidop' => $appaterno,
			'apellidom' => $apmaterno,
			'telefono' => $telfijo,
			'celular' => $telcel,
			'correo' => $email,
			'calle' => $calle,
			'numint' => $nint,
			'numext' => $next,
			'municipio' => $municipio,
			'localidad' => $localidad,
			'estado' => $estado,
			'rfc' => $rfc,
			'razonsocial' => $razonsocial,
			'confirmacion_pago' => $confirmacion_pago,
			'activo' => 1
			);
		
		// $query=$this->db->select('correo')->from('personas')->get()->result();
		// if ($query==$email) {
		// 	echo 'Ingresa otro Correo este ya esta registrado';
		// }

		$this->db->insert('personas', $persona);

		$idpersona = $this->db->insert_id();

		$cliente = array(
			'persona' => $idpersona,
			'curp' => $curp,
			'activo' => 1
			//'claveife' => $claveife
			);

		$insert_cliente = $this->db->insert('clientes', $cliente);
		
		if($insert_cliente)
			$idcliente = $this->db->insert_id();

		return $insert_cliente;
	}

	public function editar_cliente(){
		$idpersona = $this->input->post('idpersona');
		$nombres = $this->input->post('nombres');
		$appaterno = $this->input->post('appaterno');
		$apmaterno = $this->input->post('apmaterno');
		$email = $this->input->post('email');
		$telfijo = $this->input->post('telfijo');
		$telcel = $this->input->post('telcel');
		$rfc = $this->input->post('rfc');
		$razonsocial = $this->input->post('razonsocial');
		$calle = $this->input->post('calle');
		$nint = $this->input->post('nint');
		$next = $this->input->post('next');
		$estado = $this->input->post('estado');
		$municipio = $this->input->post('municipio');
		$localidad = $this->input->post('localidad');

		$idcliente = $this->input->post('idcliente');
		$curp = $this->input->post('curp');
		$confirmacion_pago = $this->input->post('confirmacion-pago');
		//$claveife = $this->input->post('claveife');

		$persona = array(
			'nombres' => $nombres,
			'apellidop' => $appaterno,
			'apellidom' => $apmaterno,
			'telefono' => $telfijo,
			'celular' => $telcel,
			'correo' => $email,
			'calle' => $calle,
			'numint' => $nint,
			'numext' => $next,
			'municipio' => $municipio,
			'localidad' => $localidad,
			'estado' => $estado,
			'rfc' => $rfc,
			'razonsocial' => $razonsocial,
			'confirmacion_pago' => $confirmacion_pago
			);

		$this->db->where('idpersona', $idpersona);
		$this->db->update('personas', $persona);

		$query=array('idcliente' => $idcliente,
			'idabogado' => $this->session->userdata('consultor_idabogado'),
			'ultima_modificacion' => date('Y-m-d H:i:s'));
		$this->db->insert('modificaciones_historial',$query);

		$cliente = array(
			'curp' => $curp
			//'claveife' => $claveife
			);

		$this->db->where('idcliente', $idcliente);
		return $this->db->replace('clientes', $cliente);
	}

	public function eliminar_cliente($id){
		$data=$this->db->get_where('clientes', array('idcliente'=>$id));
		$data=array('activo'=>0);
		return $this->db->update('clientes',$data,array('idcliente'=>$id));
		
	}
	public function count_clientes(){
		return $this->db->from('lista_clientes')->get()->num_rows();
	}

	public function listado_clientes($offset = 0, $limit = 2){
		$this->db->from('lista_clientes');
		$this->db->select('idpersona, idcliente, nombres, apellidop, apellidom, correo, confirmacion_pago');

		$this->db->limit($limit, $offset);

		$this->db->order_by('apellidop', 'asc');
		$this->db->order_by('apellidom', 'asc');
		$this->db->order_by('nombres', 'asc');

		$query = $this->db->get();

		return $query->result();
	}

	public function cliente_autocomplete($cadena='')
	{
		$this->db->select('idcliente, nombres');
		$this->db->from('lista_clientes');
		$this->db->where('nombres like', $cadena);
		$this->db->limit(5);
		$this->db->order_by('nombres', 'desc');

		$query = $this->db->get();

		return $query->result();
	}

}

/* End of file  */
/* Location: ./application/models/ */